uk.gov.hmrc.auth

# delegation

#### package delegation

Visibility

1. Public
2. All

### Type Members

1. #### trait DelegationAuthConnector extends AnyRef

2. #### case class DelegationContext(principalName: String, attorneyName: String, link: Link, accounts: TaxIdentifiers) extends Product with Serializable

3. #### trait Delegator extends AnyRef

4. #### case class Link(url: String, text: Option[String]) extends Product with Serializable

5. #### case class TaxIdentifiers(paye: Option[Nino] = None) extends Product with Serializable

### Value Members

1. #### object DelegationContext extends Serializable

2. #### object Link extends Serializable

3. #### object TaxIdentifiers extends Serializable

### Ungrouped